clear;

%%%% Load the manually selected points %%%%
f1_no = 1;    % first image
f2_no = 100;  % last image
filename = sprintf('boundary_training.txt');
fpt=fopen(filename,'r');
% Read image points data
for x = f1_no : f2_no
    
    % load image
    fname = fscanf(fpt,'%s', 1);
    img_name = sprintf('training/train_%s', fname);
    grey_img = imread(img_name);
    grey_img_half = imresize(grey_img, 0.5);
    
    % display image
    clf, hold on
    color(gray(256));
    imagesc(grey_img);
    axis off;
    axis('ij')
    
    
    
    % get number of points in root
    pn = fscanf(fpt,'%d',1);
    
    % get points and diameter
    location = fscanf(fpt,'%d %d\r\n', 2*pn);
    location = reshape(location, 2, pn)';
    points = location(1:pn, :);
    
    % display root
    plot(points(:,1), points(:,2), 'r.');
    disp('Right-click to end program')
    [xx, yy, button] = ginput(1);
    if button==3, break, end;
    
end
fclose(fpt);
    







 
 
 

 
 

 
 

